Microsoft Deployment Toolkit build 8456

MDT build 8456的重大变化摘要。

支持的配置更新
  • Windows ADK for Windows 10,版本1809
  • Windows 10,版本1809
  • Configuration Manager,版本1810
主要变化

以下列表是此版本中主要更改的摘要:

  • LTI场景的嵌套任务序列支持
  • 现代语言包支持
  • 支持Configuration Manager版本1810
  • IsVM在Parallels VM上评估为False
  • 当VMware VM配置EFI引导固件时,IsVM = False
  • Gather无法识别All-in-One机箱类型
  • MDT不会在Windows Server 2016上自动安装BitLocker
  • BDEDisablePreProvisioning ZTIGather.xml中的拼写错误

image

支持的平台

MDT版本不再标记为年份或更新版本。为了更好地与Windows 10和Configuration Manager的当前分支对齐,并简化品牌和发布过程,它现在只是Microsoft Deployment Toolkit。内部版本号用于区分每个版本。例如,可供下载的最新版本是8456。

与具有预定发布计划的Configuration Manager不同,MDT仅根据需要发布,以支持新版本的Windows 10,Windows ADK或Configuration Manager当前分支。必要时,本文将记录这些组件的任何已知问题。

使用MDT部署支持以下操作系统版本:

  • Windows 10,版本1809
  • Windows 10,版本1803
  • Windows 10,版本1709
  • 其他受支持的Windows 10 版本
  • Windows 8.1
  • Windows 7的
  • Windows Server 2019
  • Windows Server 2016
  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2008 R2

先决条件

MDT需要以下组件,这些组件包含在Windows中:

  • Microsoft .NET Framework 4.0
  • Windows PowerShell 3.0版

MDT需要最新的Windows ADK for Windows 10。MDT还需要Windows ADK 的Windows PE插件

注意

Windows建议使用与您正在部署的Windows版本匹配的Windows ADK。例如,在部署Windows 10版本1809时,请使用Windows ADK for Windows 10版本1809.

在将MDT与Configuration Manager集成用于ZTI和UDI方案时,请使用最新版本的Configuration Manager当前分支。

升级MDT

MDT安装过程会删除同一台计算机上安装的所有MDT实例。在此过程中将保留现有部署共享,分发点和数据库。安装完成后必须升级它们。

MDT的当前版本支持从以下版本的MDT升级:

  • MDT build 8450

备注:在尝试升级之前,请创建现有MDT基础结构的备份。

LTI

安装MDT后,通过从Deployment Workbench中的Deployment Shares节点运行Open Deployment Share向导来升级现有部署共享。指定现有部署共享目录的路径,然后选择“ 升级”复选框。此过程还会升级现有网络部署共享和媒体部署共享,因此应该可以访问这些共享。不要使用活动部署进行升级,因为正在使用的文件可能会导致升级问题。

ZTI

在MDT的安装过程中,不会修改Configuration Manager中存在的现有MDT任务序列。他们应该继续工作,没有任何问题。没有提供升级这些任务序列的机制。如果要使用任何新的MDT功能,请在Configuration Manager中创建新的MDT集成任务序列。

升级过程完成后:

  • 升级后运行Configure ConfigMgr Integration Wizard。它注册新组件并安装更新的ZTI任务序列模板。
  • 为您创建的任何新ZTI任务序列创建新的Microsoft Deployment Toolkit Files包。您可以将现有MDT Files包用于升级之前创建的任何ZTI任务序列。为新的ZTI任务序列创建新的MDT Files包。

已知的问题

现代语言包支持

从Windows 10版本1809开始,语言界面包(LIP)作为本地体验包(LXP)提供。LXP是AppX捆绑包。在unattend.xml文件中指定时,不会自动选择它们,并且部署失败。不要将LXP设置为默认值。用户应从Windows设置中选择应用的LXP。

Author: wenzhongxiang

发表评论

电子邮件地址不会被公开。 必填项已用*标注